# $Revision: 1.45 $, $Date: 2011/10/30 08:16:48 $
#
# Conditional build:
%bcond_without	cddb		# build cd-info without CDDB lookups (for bootstrap)
%bcond_without	static_libs	# don't build static library
%bcond_without	vcd		# build cd-info without VCD support (for bootstrap)
#				  (affects only -utils, not libraries)
#
Summary:	GNU Compact Disc Input, Output and Control Library
Summary(pl.UTF-8):	Biblioteka GNU do obsługi wejścia, wyjścia i sterowania czytnikiem CD
Name:		libcdio
Version:	0.83
Release:	1
License:	GPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/libcdio/%{name}-%{version}.tar.gz
# Source0-md5:	b9e0f1bccb142e697cd834fe56b6e6fb
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/libcdio/
BuildRequires:	autoconf >= 2.67
BuildRequires:	automake >= 1:1.8.3
# for AM_ICONV and config.rpath
BuildRequires:	gettext-devel >= 0.14
BuildRequires:	help2man
%{?with_cddb:BuildRequires:	libcddb-devel >= 1.0.1}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
%{?with_vcd:BuildRequires:	vcdimager-devel >= 0.7.21}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is to encapsulate CD-ROM reading and control.
Applications wishing to be oblivious of the OS- and device-dependent
properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

Immediate uses are VCDImager, a navigation-capable Video CD plugin
and CD-DA plugin for the media player xine.

A sample utility, cd-info which displayings CD info is included in
utils subpackage.

%description -l pl.UTF-8
Ta biblioteka obudowuje czynności odczytu i sterowania czytnikami
CD-ROM. Aplikacje chcące zapomnieć o zależnych od systemu lub
urządzenia własnościach CD-ROM-u mogą używać tej biblioteki.

Dostępna jest pewna obsługa obrazów dysków typu BIN/CUE czy NRG, więc
aplikacje używające tej biblioteki mogą czytać także takie obrazy
dysków tak jakby były płytami.

Biblioteka jest używana bezpośrednio w VCDImagerze, wtyczce z
nawigacją do Video CD oraz wtyczce CD-DA dla odtwarzacza multimediów
xine.

W podpakiecie utils załączone jest przykładowe narzędzie cd-info
służące do wyświetlania informacji o płytach kompaktowych.

%package devel
Summary:	Header files for libcdio libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libcdio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libcdio libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek libcdio.

%package static
Summary:	Static libcdio libraries
Summary(pl.UTF-8):	Statyczne biblioteki libcdio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcdio libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libcdio.

%package c++
Summary:	C++ libcdio libraries
Summary(pl.UTF-8):	Biblioteki C++ libcdio
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
C++ libcdio libraries.

%description c++ -l pl.UTF-8
Biblioteki C++ libcdio.

%package c++-devel
Summary:	Header files for C++ libcdio libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek C++ libcdio
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for C++ libcdio libraries.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe bibliotek C++ libcdio.

%package c++-static
Summary:	Static C++ libcdio libraries
Summary(pl.UTF-8):	Statyczne biblioteki C++ libcdio
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static C++ libcdio libraries.

%description c++-static -l pl.UTF-8
Statyczne biblioteki C++ libcdio.

%package utils
Summary:	libcdio utilities: cd-info, cd-read
Summary(pl.UTF-8):	Narzędzia używające libcdio: cd-info, cd-read
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description utils
libcdio utilities: cd-info, cd-read.

%description utils -l pl.UTF-8
Narzędzia używające libcdio: cd-info, cd-read.

%prep
%setup -q
%patch0 -p1

%{__sed} -i 's, example$,,' Makefile.am

# bug: *.pc for C++ bindings, not programs
%{__sed} -i 's,ENABLE_CPP,ENABLE_CXX_BINDINGS,' Makefile.am

cp -f /usr/share/gettext/config.rpath .

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="-I/usr/include/ncurses"
%configure \
	--enable-cd-info-linux \
	--enable-maintainer-mode \
	--enable-rock \
	%{!?with_cddb:--disable-cddb} \
	%{!?with_vcd:--disable-vcd-info} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mansubdir=/ja/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libcdio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdio.so.13
%attr(755,root,root) %{_libdir}/libcdio_cdda.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdio_cdda.so.1
%attr(755,root,root) %{_libdir}/libcdio_paranoia.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdio_paranoia.so.1
%attr(755,root,root) %{_libdir}/libiso9660.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libiso9660.so.8
%attr(755,root,root) %{_libdir}/libudf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libudf.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcdio.so
%attr(755,root,root) %{_libdir}/libcdio_cdda.so
%attr(755,root,root) %{_libdir}/libcdio_paranoia.so
%attr(755,root,root) %{_libdir}/libiso9660.so
%attr(755,root,root) %{_libdir}/libudf.so
%{_libdir}/libcdio.la
%{_libdir}/libcdio_cdda.la
%{_libdir}/libcdio_paranoia.la
%{_libdir}/libiso9660.la
%{_libdir}/libudf.la
%{_includedir}/cdio
%{_pkgconfigdir}/libcdio.pc
%{_pkgconfigdir}/libcdio_cdda.pc
%{_pkgconfigdir}/libcdio_paranoia.pc
%{_pkgconfigdir}/libiso9660.pc
%{_pkgconfigdir}/libudf.pc
%{_infodir}/libcdio.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcdio.a
%{_libdir}/libcdio_cdda.a
%{_libdir}/libcdio_paranoia.a
%{_libdir}/libiso9660.a
%{_libdir}/libudf.a
%endif

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcdio++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdio++.so.0
%attr(755,root,root) %{_libdir}/libiso9660++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libiso9660++.so.0

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcdio++.so
%attr(755,root,root) %{_libdir}/libiso9660++.so
%{_libdir}/libcdio++.la
%{_libdir}/libiso9660++.la
%{_includedir}/cdio++
%{_pkgconfigdir}/libcdio++.pc
%{_pkgconfigdir}/libiso9660++.pc

%if %{with static_libs}
%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libcdio++.a
%{_libdir}/libiso9660++.a
%endif

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cd-drive
%attr(755,root,root) %{_bindir}/cd-info
%attr(755,root,root) %{_bindir}/cd-paranoia
%attr(755,root,root) %{_bindir}/cd-read
%attr(755,root,root) %{_bindir}/cdda-player
%attr(755,root,root) %{_bindir}/cdinfo-linux
%attr(755,root,root) %{_bindir}/iso-info
%attr(755,root,root) %{_bindir}/iso-read
%attr(755,root,root) %{_bindir}/mmc-tool
%{_mandir}/man1/cd-drive.1*
%{_mandir}/man1/cd-info.1*
%{_mandir}/man1/cd-paranoia.1*
%{_mandir}/man1/cd-read.1*
%{_mandir}/man1/iso-info.1*
%{_mandir}/man1/iso-read.1*
%lang(ja) %{_mandir}/ja/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcdio.spec,v $
Revision 1.45  2011/10/30 08:16:48  qboosh
- updated to 0.83
- updated info patch

Revision 1.44  2011/08/31 18:29:32  arekm
- release 2

Revision 1.43  2010/11/11 21:10:00  qboosh
- verbose -utils files

Revision 1.42  2009/10/29 00:32:51  sls
- new soname
- rel. 1
- rm link.patch (applied upstream)

Revision 1.41  2009/10/29 00:15:21  sls
- ver. 0.82

Revision 1.40  2008/10/30 22:20:30  qboosh
- updated to 0.81 (note: new sonames, GPL v3 now)
- updated info,link patches

Revision 1.39  2008/07/21 09:42:10  megabajt
- release 3

Revision 1.38  2008/06/03 09:46:48  arekm
- rel 2

Revision 1.37  2008-03-15 22:22:27  qboosh
- updated to 0.80
- pass CPPFLAGS to build ncurses-based cdda-player

Revision 1.36  2008-02-04 19:06:39  qboosh
- ghost soname symlinks

Revision 1.35  2008-02-03 12:13:06  arekm
- rel 3

Revision 1.34  2008-02-02 22:57:51  arekm
- rel 2

Revision 1.33  2008-02-02 22:39:39  arekm
- rel 1.1

Revision 1.32  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.31  2007-11-03 01:38:26  qboosh
- updated to 0.79

Revision 1.30  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.28  2006/11/17 20:41:14  qboosh
- updated to 0.78.2, updated link patch

Revision 1.27  2006/03/22 02:45:48  pluto
- release 2 for rebuild -utils.

Revision 1.26  2006/03/21 21:56:34  qboosh
- ldconfig for c++

Revision 1.25  2006/03/21 21:56:08  qboosh
- separated C++ libs (c++,c++-devel,c++-static subpackages), BR: libstdc++-devel
- added link patch to link C++ libs properly
- BR: help2man, removed obsolete BR: popt-devel

Revision 1.24  2006/03/21 16:46:24  djurban
- updated to 0.77

Revision 1.23  2006/02/12 12:02:51  pluto
- release 2 for rebuild -utils (linked with old soname) in Th.

Revision 1.22  2005/10/06 19:29:03  qboosh
- updated to 0.76

Revision 1.21  2005/09/08 13:40:48  freetz
- rel.2 for full featured build

Revision 1.20  2005/08/13 21:26:40  charles
- BR: gettext-devel
- excluded example (req. c++), BR: sed >= 4.0

Revision 1.19  2005/07/24 23:02:09  qboosh
- updated to 0.75 (note: new libcdio soname)

Revision 1.18  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.17  2005/06/15 16:39:21  witekfl
- added bcond_without static

Revision 1.16  2005/05/21 08:57:15  pluto
- release 2 for rebuild utils with all features.

Revision 1.15  2005/05/21 07:33:49  qboosh
- updated to 0.74

Revision 1.14  2005/04/17 19:52:56  qboosh
- updated to 0.73 (new sonames again), removed obsolete gcc4 patch

Revision 1.13  2005/03/25 20:58:12  adgor
- wo cddb bcond

Revision 1.12  2005/02/06 19:08:33  pluto
- vcdimager BR updated.
- gcc4 fixes.

Revision 1.11  2005/02/05 21:45:51  qboosh
- updated to 0.72 (note: new libcdio soname)

Revision 1.10  2004/12/28 07:53:12  qboosh
- release 2 to rebuild with vcd support

Revision 1.9  2004/11/21 21:31:44  qboosh
- updated to 0.71 (improvements; NOTE: sonames have changed)

Revision 1.8  2004/09/10 06:22:12  qboosh
- updated to 0.70 (note: libiso9660 soname changed)

Revision 1.7  2004/06/27 15:14:08  qboosh
- automake epoch

Revision 1.6  2004/06/27 14:54:48  qboosh
- updated to 0.69
- dropped link patch, require fixed automake (1.8.3) instead
- added missing defattr

Revision 1.5  2004/03/27 23:15:36  qboosh
- updated to 0.68

Revision 1.4  2004/03/04 23:18:39  qboosh
- updated to 0.67, updated patches

Revision 1.3  2004/02/21 23:47:42  qboosh
- updated to 0.66, updated info,link patches, removed obsolete vcd patch

Revision 1.2  2004/01/09 18:55:50  jajcus
- Release: 2 (to make sure builders have vcd-enabled libcdio installed)

Revision 1.1  2003/12/31 00:08:15  qboosh
- new
